[Pkg-shadow-commits] r886 - trunk/debian

Nicolas FRANCOIS nekral-guest at costa.debian.org
Wed Mar 1 19:15:29 UTC 2006


Author: nekral-guest
Date: 2006-03-01 19:15:28 +0000 (Wed, 01 Mar 2006)
New Revision: 886

Modified:
   trunk/debian/changelog
   trunk/debian/recode_manpages.sh
Log:
Make sure debian/recode_manpages.sh fails if a page can't be recode. Other
wise this page will be truncated. A manual action will be needed in this
case.


Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2006-03-01 08:29:55 UTC (rev 885)
+++ trunk/debian/changelog	2006-03-01 19:15:28 UTC (rev 886)
@@ -8,6 +8,7 @@
       This is of no important with the Debian default common-* files
       but would lead to unexpected results if the local admin adds
       "sufficient" lines in these common-* files
+    - make sure debian/recode_manpages.sh fails if a page can't be recoded.
   * Upstream bugs fixed in upstream CVS:
     - make passwd.1 synopsis consistent with other man pages
       Closes: #352136

Modified: trunk/debian/recode_manpages.sh
===================================================================
--- trunk/debian/recode_manpages.sh	2006-03-01 08:29:55 UTC (rev 885)
+++ trunk/debian/recode_manpages.sh	2006-03-01 19:15:28 UTC (rev 886)
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -e
+
 PACKAGE=$1
 [ -z "$PACKAGE" ] && {
     echo "Usage: $0 <package>"
@@ -36,9 +38,12 @@
     echo "recoding lang: $lang to $encoding"
     for page in debian/$PACKAGE/usr/share/man/$lang/man[1-8]/*
     do
-        echo "recoding $page"
-        iconv -t $encoding -f UTF8 < $page > $page.recoded
-        mv $page.recoded $page
+        if [ -f $page ]
+        then
+            echo "recoding $page"
+            iconv -t $encoding -f UTF8 < $page > $page.recoded
+            mv $page.recoded $page
+        fi
     done
 done
 




More information about the Pkg-shadow-commits mailing list